Piloterr

ProductHunt Product Info

GET
/v2/producthunt/product/info

Retrieve product data from ProductHunt, including tagline, categories, screenshots, reviews rating, and social links.

Credit cost: 1 credit per call

Authorization

ApiKeyAuth
headerx-api-key<token>

Your API key. Include it in the x-api-key header for every request.

Query Parameters

query*string

A ProductHunt product URL or product slug.

Examples:

https://www.producthunt.com/products/miro

Both the full ProductHunt URL and the product slug are accepted.

Response Body

Successful response

application/json
  1. response
id?string
logo?string
name?string
slug?string
tagline?string
categories?array<>
description?string
posts_count?unknown
screenshots?array<string>
pricing_type?unknown
social_links?
reviews_count?unknown
reviews_rating?number
reviewers_count?integer
Example Request
curl -X GET 'https://api.piloterr.com/v2/producthunt/product/info?query=string'
Example Response
{  "id": "111772",  "logo": "https://ph-files.imgix.net/01cca4e0-cc5d-4b42-931e-c76756e76f07.jpeg",  "name": "Miro",  "slug": "miro",  "tagline": "The visual collaboration platform for every team",  "categories": [    {      "name": "Software Engineering"    }  ],  "description": "The online collaborative whiteboard platform that enables distributed teams to work effectively together, from brainstorming with digital sticky notes to planning and managing agile workflows.",  "posts_count": null,  "screenshots": [    "https://ph-files.imgix.net/8a41989e-dfd9-4002-8c1d-8a8ae637ce66.png",    "https://ph-files.imgix.net/385889b3-c385-4e5b-b414-32eeb68fa5f4.png",    "https://ph-files.imgix.net/8d508744-c0f3-471a-a355-8f907ab8ca10.png"  ],  "pricing_type": null,  "social_links": {    "website": "https://miro.com"  },  "reviews_count": null,  "reviews_rating": 4.88,  "reviewers_count": 108}